Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class CalendarCycleOneLetter

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.CalendarCycleOneLetter

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class CalendarCycleOneLetter

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Calendar Cycle One Letter', and utility methods for working with them. abstDomain: V10701 (C-0-D10684-V10701-cpt)

See Also:
  `CDAR2Package.getCalendarCycleOneLetter()`

Field Summary
`static int` | `D` The 'D' literal value.
`static CalendarCycleOneLetter` | `D_LITERAL` The 'D' literal object.
`static int` | `H` The 'H' literal value.
`static CalendarCycleOneLetter` | `H_LITERAL` The 'H' literal object.
`static int` | `J` The 'J' literal value.
`static CalendarCycleOneLetter` | `J_LITERAL` The 'J' literal object.
`static int` | `M` The 'M' literal value.
`static CalendarCycleOneLetter` | `M_LITERAL` The 'M' literal object.
`static int` | `N` The 'N' literal value.
`static CalendarCycleOneLetter` | `N_LITERAL` The 'N' literal object.
`static int` | `S` The 'S' literal value.
`static CalendarCycleOneLetter` | `S_LITERAL` The 'S' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Calendar Cycle One Letter' enumerators.
`static int` | `W` The 'W' literal value.
`static CalendarCycleOneLetter` | `W_LITERAL` The 'W' literal object.
`static int` | `Y` The 'Y' literal value.
`static CalendarCycleOneLetter` | `Y_LITERAL` The 'Y' literal object.

Method Summary
`static CalendarCycleOneLetter` | `get(int value)` Returns the 'Calendar Cycle One Letter' literal with the specified integer value.
`static CalendarCycleOneLetter` | `get(java.lang.String literal)` Returns the 'Calendar Cycle One Letter' literal with the specified literal value.
`static CalendarCycleOneLetter` | `getByName(java.lang.String name)` Returns the 'Calendar Cycle One Letter' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### D

    public static final int D

  The 'D' literal value.

  If the meaning of 'D' literal object isn't clear, there really should be more of a description here...

  See Also:
    `D_LITERAL`, Constant Field Values

### H

    public static final int H

  The 'H' literal value.

  If the meaning of 'H' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H_LITERAL`, Constant Field Values

### J

    public static final int J

  The 'J' literal value.

  If the meaning of 'J' literal object isn't clear, there really should be more of a description here...

  See Also:
    `J_LITERAL`, Constant Field Values

### M

    public static final int M

  The 'M' literal value.

  If the meaning of 'M' literal object isn't clear, there really should be more of a description here...

  See Also:
    `M_LITERAL`, Constant Field Values

### N

    public static final int N

  The 'N' literal value.

  If the meaning of 'N' literal object isn't clear, there really should be more of a description here...

  See Also:
    `N_LITERAL`, Constant Field Values

### S

    public static final int S

  The 'S' literal value.

  If the meaning of 'S' literal object isn't clear, there really should be more of a description here...

  See Also:
    `S_LITERAL`, Constant Field Values

### W

    public static final int W

  The 'W' literal value.

  If the meaning of 'W' literal object isn't clear, there really should be more of a description here...

  See Also:
    `W_LITERAL`, Constant Field Values

### Y

    public static final int Y

  The 'Y' literal value.

  If the meaning of 'Y' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Y_LITERAL`, Constant Field Values

### D_LITERAL

    public static final CalendarCycleOneLetter D_LITERAL

  The 'D' literal object.

  See Also:
    `D`

### H_LITERAL

    public static final CalendarCycleOneLetter H_LITERAL

  The 'H' literal object.

  See Also:
    `H`

### J_LITERAL

    public static final CalendarCycleOneLetter J_LITERAL

  The 'J' literal object.

  See Also:
    `J`

### M_LITERAL

    public static final CalendarCycleOneLetter M_LITERAL

  The 'M' literal object.

  See Also:
    `M`

### N_LITERAL

    public static final CalendarCycleOneLetter N_LITERAL

  The 'N' literal object.

  See Also:
    `N`

### S_LITERAL

    public static final CalendarCycleOneLetter S_LITERAL

  The 'S' literal object.

  See Also:
    `S`

### W_LITERAL

    public static final CalendarCycleOneLetter W_LITERAL

  The 'W' literal object.

  See Also:
    `W`

### Y_LITERAL

    public static final CalendarCycleOneLetter Y_LITERAL

  The 'Y' literal object.

  See Also:
    `Y`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Calendar Cycle One Letter' enumerators.

Method Detail

### get

    public static CalendarCycleOneLetter get(java.lang.String literal)

  Returns the 'Calendar Cycle One Letter' literal with the specified literal value.

### getByName

    public static CalendarCycleOneLetter getByName(java.lang.String name)

  Returns the 'Calendar Cycle One Letter' literal with the specified name.

### get

    public static CalendarCycleOneLetter get(int value)

  Returns the 'Calendar Cycle One Letter' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD